cURL
curl --request GET \
--url https://api.invopop.com/silo/v1/search \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.invopop.com/silo/v1/search"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.invopop.com/silo/v1/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"folder": "sales",
"limit": 20,
"list": [
{
"attachments": [
{
"category": "version",
"created_at": "2018-01-01T00:00:00.000Z",
"desc": "Invoice for January 2021.",
"embeddable": true,
"entry_id": "347c5b04-cde2-11ed-afa1-0242ac120002",
"hash": "a1b2c3d4e5f6g7h8i9j0k1l2m3n4o5p6q7r8s9t0u1v2w3x4y5z6",
"id": "<string>",
"key": "pdf",
"meta": {},
"mime": "application/pdf",
"name": "invoice.pdf",
"previous": [
{
"created_at": "2018-01-01T00:00:00.000Z",
"hash": "<string>",
"id": "<string>",
"size": 123
}
],
"private": true,
"size": 12345,
"stored": true,
"url": "<string>"
}
],
"context": "line.item",
"created_at": "2018-01-01T00:00:00.000Z",
"data": {},
"digest": {
"alg": "<string>",
"val": "<string>"
},
"doc_schema": "https://gobl.org/draft-0/bill/invoice",
"draft": true,
"env_schema": "https://gobl.org/draft-0/envelope",
"faults": [
{
"code": "<string>",
"message": "<string>",
"paths": [
"<string>"
],
"provider": "pdf"
}
],
"folder": "sales",
"id": "347c5b04-cde2-11ed-afa1-0242ac120002",
"invalid": true,
"key": "invoice-101",
"meta": [
{
"created_at": "2018-01-01T00:00:00.000Z",
"entry_id": "347c5b04-cde2-11ed-afa1-0242ac120002",
"id": "347c5b04-cde2-11ed-afa1-0242ac120002:source:key",
"indexed": true,
"key": "service-id",
"link_scope": "public",
"link_url": "https://example.com/info",
"owned": true,
"owner_id": "<string>",
"ref": "<string>",
"secure": true,
"shared": true,
"src": "source",
"updated_at": "2018-01-01T00:00:00.000Z",
"value": {
"key": "value"
}
}
],
"signed": true,
"snippet": {
"title": "Sample Title"
},
"state": "sent",
"tags": [
"<string>"
],
"updated_at": "2018-01-01T00:00:00.000Z"
}
],
"offset": 20,
"query": "FT-101"
}Entries
Search entries
Perform a free-text search on all documents in the current company.
GET
/
silo
/
v1
/
search
cURL
Authorizations
Use the Bearer scheme with a valid JWT token to authenticate requests. Example: Authorization: Bearer <token>
Query Parameters
Search query string.
Example:
"TEST"
Folder to search within.
Example:
"invoices"
Maximum number of entries to show in a page of results.
Example:
20
The number of entries to skip in the result set.
Example:
10
Response
200 - application/json
OK
Key for the folder
Example:
"sales"
Maximum number of entries to show in a page of results, up to 100.
Example:
20
Array of entries ordered by relevance.
Show child attributes
Show child attributes
Number of entries to skip in the result set.
Example:
20
String query used for the search.
Example:
"FT-101"
Was this page helpful?
⌘I